Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Installing pdo_mysql error

Discussion in 'General Discussion' started by kiozix, May 11, 2018.

  1. kiozix

    kiozix Member

    Joined:
    May 10, 2018
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    france
    cPanel Access Level:
    Root Administrator
    hi

    how to install

    PDO pdo_mysql sysvshm sysvsem sysvmsg SPL sockets SimpleXML shmop mysqlnd mysqli mcrypt mbstring


    i am using following line

    yum install pdo_mysql sysvshm sysvsem sysvmsg spl sockets SimpleXML shmop mysqlnd mysqli mcrypt mbstring

    Aucun paquet sysvshm disponible. Aucun paquet sysvsem disponible. Aucun paquet sysvmsg disponible. Aucun paquet spl disponible. Aucun paquet sockets disponible. Aucun paquet SimpleXML disponible. Aucun paquet shmop disponible. Aucun paquet mysqlnd disponible. Aucun paquet mysqli disponible. Aucun paquet mcrypt disponible. Aucun paquet mbstring disponible.

    No sysvshm package available. No sysvsem package available. No sysvmsg package available. No spl package available. No packet sockets available. No SimpleXML package available. No shmop package available. No mysqlnd package available. No mysqli package available. No mcrypt package available. No mbstring package available.
     
    #1 kiozix, May 11, 2018
    Last edited by a moderator: May 11, 2018
  2. cPanelLauren

    cPanelLauren Forums Analyst II
    Staff Member

    Joined:
    Nov 14, 2017
    Messages:
    3,530
    Likes Received:
    253
    Trophy Points:
    193
    Location:
    Houston
    cPanel Access Level:
    DataCenter Provider
    Hello @kiozix

    Most modules are available for install through WHM>>Software>>Module Installers including the following:
    pdo_mysql

    PHP Extensions that are available through install per PHP version (easiest done through EasyApache 4) are:
    mysqlnd
    mcrypt - for php 7.2 and higher this only exists as a PECL extension
    PHP-PDO
    mbstring
    sockets


    SimpleXML should be already installed by default
    Code:
    # php -m |grep -i simple
    SimpleXML
    You can also check this way:
    Code:
     /opt/cpanel/ea-php70/root/usr/bin/php -m |grep -i simple
    SimpleXML
    Code:
     /opt/cpanel/ea-php71/root/usr/bin/php -m |grep -i simple
    SimpleXML
    Code:
    /opt/cpanel/ea-php72/root/usr/bin/php -m |grep -i simple
    SimpleXML
    The same behavior should be present with mysqli and SPL - pending you're using the default cPanel profile.

    All PHP options available should be listed here: PHP Options - EasyApache 4 - cPanel Documentation


    Thanks!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice